> ## Documentation Index
> Fetch the complete documentation index at: https://glasser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar Run

> Revisa tus Run, del más reciente al más antiguo. Filtra por estado, proveedor de datos, endpoint, Task o metadatos.

Cada fila es un resumen. Usa [Get a Run](https://glasser.ai/docs/es/api-reference/runs/get.md) para consultar todos los detalles de entrada, salida y errores del proveedor de datos.


## OpenAPI

````yaml /openapi.es.json get /v1/runs
openapi: 3.1.0
info:
  title: Glasser
  version: 0.0.1
  description: >-
    Una API Key, sin contrato, con pago por llamada, para APIs de pago
    adquiridas al por mayor. Cada respuesta incluye x-request-id; cada cuerpo de
    error incluye el mismo sobre.
servers:
  - url: https://api.glasser.ai
security: []
tags:
  - name: Solutions
  - name: Endpoints
  - name: Runs
  - name: Balance
paths:
  /v1/runs:
    get:
      tags:
        - Runs
      summary: List Runs
      description: >-
        Revisa los Runs, del más reciente al más antiguo. Filtra por estado,
        proveedor de datos, endpoint, Task o metadatos, y usa next_cursor para
        leer la página siguiente. Solo se muestran los Runs permitidos por la
        Policy de tu Key.


        Cada fila es un resumen: input y output contienen `{"omitted": true}`, y
        se excluyen los cuerpos de error del proveedor de datos. Usa Get a Run
        para consultar todos los detalles de input, output y error.
      operationId: runs-list
      parameters:
        - name: limit
          in: query
          schema:
            type: string
            pattern: ^[+-]?\d*\.?\d+(?:[Ee][+-]?\d+)?$
          required: false
        - name: cursor
          in: query
          schema:
            anyOf:
              - type: string
                description: >-
                  Pasa next_cursor de la respuesta anterior para leer la página
                  siguiente.
              - type: 'null'
          required: false
        - name: status
          in: query
          schema:
            anyOf:
              - type: string
                enum:
                  - QUEUED
                  - RUNNING
                  - COMPLETED
                  - FAILED
                  - STOPPED
              - type: 'null'
          required: false
        - name: provider
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: endpoint
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
          required: false
        - name: task
          in: query
          schema:
            anyOf:
              - type: string
                description: >-
                  Devuelve solo los Runs registrados para esta tarea.
                  Coincidencia exacta.
              - type: 'null'
          required: false
        - name: metadata
          in: query
          schema:
            anyOf:
              - type: string
                description: >-
                  Devuelve solo los Runs cuya metadata contiene todos los pares
                  clave-valor de este objeto JSON, por ejemplo
                  `{"user_id":"user_123"}`. Coincidencia exacta.
                contentMediaType: application/json
              - type: 'null'
          required: false
      responses:
        '200':
          description: Correcto
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        run_url:
                          type: string
                          description: >-
                            Abre este Run en la consola. Requiere pertenencia a
                            Workspace.
                        provider:
                          type: string
                          pattern: ^[a-z0-9][a-z0-9-]*$
                        endpoint:
                          type: string
                          pattern: ^\/.+$
                        endpoint_version:
                          type: integer
                          exclusiveMinimum: 0
                        status:
                          type: string
                          enum:
                            - QUEUED
                            - RUNNING
                            - COMPLETED
                            - FAILED
                            - STOPPED
                          description: >-
                            QUEUED o RUNNING: aún en progreso. COMPLETED: hay
                            una respuesta del proveedor de datos disponible,
                            incluidas las respuestas no 2xx. FAILED: consulta
                            `failure`. STOPPED: detenido antes del dispatch. Lee
                            charge_usd por separado del estado.
                        failure:
                          anyOf:
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  enum:
                                    - TIMED_OUT
                                    - INTERNAL
                                message:
                                  type: string
                              required:
                                - kind
                                - message
                              additionalProperties: false
                            - type: 'null'
                          description: >-
                            Motivo por el que falló el Run. Solo es distinto de
                            null cuando el estado es FAILED.
                        input:
                          type: object
                          properties:
                            omitted:
                              type: boolean
                              enum:
                                - true
                          required:
                            - omitted
                          additionalProperties: false
                        output:
                          type: object
                          properties:
                            omitted:
                              type: boolean
                              enum:
                                - true
                          required:
                            - omitted
                          additionalProperties: false
                        provider_response:
                          anyOf:
                            - type: object
                              properties:
                                http_status:
                                  type: integer
                                  minimum: 100
                                  maximum: 599
                                  description: >-
                                    Estado HTTP devuelto por el proveedor de
                                    datos. Compruébalo incluso cuando el Run
                                    está COMPLETED.
                              required:
                                - http_status
                              additionalProperties: false
                            - type: 'null'
                        charge_usd:
                          anyOf:
                            - type: string
                              pattern: ^(0|[1-9]\d*)\.(\d{2}|\d{2}\d{0,3}[1-9])$
                              description: >-
                                Cadena decimal exacta en USD (mínimo 2 y máximo
                                6 decimales, con una única representación
                                canónica). Suma usando aritmética decimal o
                                escala por 10^6; nunca uses números de coma
                                flotante.
                            - type: 'null'
                          description: >-
                            Cargo final como cadena decimal exacta en USD. Es
                            null mientras está QUEUED o RUNNING. Un Run FAILED
                            puede tener un cargo distinto de cero según el Price
                            del Endpoint.
                        charge_basis:
                          anyOf:
                            - type: object
                              properties:
                                clause:
                                  type: string
                                  enum:
                                    - rule
                                    - NO_RESULT
                                    - PROVIDER_ERROR
                                    - TIMED_OUT
                                    - INTERNAL
                                quantity:
                                  anyOf:
                                    - type: integer
                                      minimum: 0
                                    - type: 'null'
                              required:
                                - clause
                                - quantity
                              additionalProperties: false
                            - type: 'null'
                          description: >-
                            Cláusula de Price utilizada para calcular el cargo.
                            Es null antes de la liquidación o cuando no se
                            realizó ningún intento con el proveedor de datos.
                        stoppable:
                          type: boolean
                          description: >-
                            Indica si actualmente se puede aceptar una solicitud
                            de detención. Esto no garantiza que el Run pueda
                            detenerse antes del dispatch.
                        stop_requested_at:
                          anyOf:
                            - type: string
                              description: Marca de tiempo UTC ISO-8601
                              format: date-time
                            - type: 'null'
                          description: >-
                            Cuándo se solicitó la detención. El Run aún puede
                            continuar si el dispatch ya había comenzado.
                        created_at:
                          type: string
                          description: Marca de tiempo UTC ISO-8601
                          format: date-time
                        started_at:
                          anyOf:
                            - type: string
                              description: Marca de tiempo UTC ISO-8601
                              format: date-time
                            - type: 'null'
                        completed_at:
                          anyOf:
                            - type: string
                              description: Marca de tiempo UTC ISO-8601
                              format: date-time
                            - type: 'null'
                        task_id:
                          anyOf:
                            - type: string
                            - type: 'null'
                        metadata:
                          type: object
                          additionalProperties:
                            type: string
                            minLength: 1
                            maxLength: 500
                          maxProperties: 20
                          propertyNames:
                            type: string
                            pattern: ^[a-z][a-z0-9_]{0,39}$
                          description: >-
                            Tus campos de seguimiento almacenados. Úsalos para
                            filtrar Runs. Nunca se envían al proveedor de datos
                            ni afectan al enrutamiento, Price o la idempotencia.


                            - Hasta 20 claves: letras minúsculas, dígitos y
                            guiones bajos; deben comenzar con una letra y tener
                            como máximo 40 caracteres.

                            - Valores: cadenas de 1–500 caracteres.

                            - user_id: el ID opaco de tu usuario final, nunca su
                            dirección de correo electrónico ni su nombre.
                      required:
                        - id
                        - run_url
                        - provider
                        - endpoint
                        - endpoint_version
                        - status
                        - failure
                        - input
                        - output
                        - provider_response
                        - charge_usd
                        - charge_basis
                        - stoppable
                        - stop_requested_at
                        - created_at
                        - started_at
                        - completed_at
                        - task_id
                        - metadata
                      additionalProperties: false
                  next_cursor:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: >-
                      Cursor de la página siguiente. Es null cuando no quedan
                      más entradas.
                  client:
                    type: object
                    properties:
                      client_version:
                        anyOf:
                          - type: string
                          - type: 'null'
                      minimum_version:
                        type: string
                      latest_version:
                        type: string
                      upgrade_command:
                        type: string
                      reason:
                        type: string
                    required:
                      - client_version
                      - minimum_version
                      - latest_version
                      - upgrade_command
                      - reason
                    additionalProperties: false
                required:
                  - data
                  - next_cursor
                additionalProperties: false
        '400':
          description: ValidationFailed
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/ValidationFailedEncoded'
                  - $ref: '#/components/schemas/ValidationFailedEncoded'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedEncoded'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
      security:
        - bearer: []
components:
  schemas:
    ValidationFailedEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - validation_failed
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
    UnauthorizedEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - unauthorized
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
    ForbiddenEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - forbidden
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - rate_limited
            message:
              type: string
            reason:
              anyOf:
                - type: string
                - type: 'null'
            control:
              anyOf:
                - type: string
                - type: 'null'
            retry_after_ms:
              anyOf:
                - anyOf:
                    - type: integer
                    - type: 'null'
                - type: 'null'
            details:
              anyOf:
                - type: object
                - type: 'null'
          required:
            - code
            - message
          additionalProperties: false
        request_id:
          type: string
      required:
        - error
        - request_id
      additionalProperties: false
  securitySchemes:
    bearer:
      type: http
      scheme: Bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.